## jnoise 0.4.0

=== Makefile ===
#  Copyright (C) 2004-2008 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.4.0
DISTDIR = jnoise-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\"
#CPPFLAGS += -march=pentium4
LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
LDLIBS += -ljack -lrt


JNOISE_O = jnoise.o rngen.o
jnoise:	$(JNOISE_O)
	g++ $(LDFLAGS) -o $@ $(JNOISE_O) $(LDLIBS)

$(JNOISE_O):
-include $(JNOISE_O:%.o=%.d)


install:	jnoise
	/usr/bin/install -m 755 jnoise $(PREFIX)/bin

$(JNOISE_O):	$(JNOISE_H)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jnoise


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export jnoise $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## jnoise 0.6.0

=== source/Makefile ===
# ---------------------------------------------------------------------------
#
#  Copyright (C) 2003-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ---------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share
PROGRAM = jnoise
VERSION = 0.6.0
CPPFLAGS += -O3 -ffast-math -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
#CPPFLAGS += -march=native


all:	jnoise


JNOISE_O = jnoise.o rngen.o

jnoise:	CPPFLAGS += -ffast-math
jnoise:	LDLIBS += -ljack -lrt
jnoise:	$(JNOISE_O)
	g++ $(LDFLAGS) -o $@ $(JNOISE_O) $(LDLIBS)

$(JNOISE_O):
-include $(JNOISE_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 jnoise $(DESTDIR)$(PREFIX)/bin

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jnoise

=== debian/changelog ===
jnoise (0.6.0-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 22:16:46 +0200

jnoise (0.6.0-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0.
    + Use HTTPS in the Format field of d/copyright.
  * Fix cross build failure.
    + Drop implicitly satisfied build dependency on binutils.
    + Make g++ substitutable in source/Makefile.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 30 Aug 2017 23:19:27 +0200

jnoise (0.6.0-5) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Tune .gitignore file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 21:35:30 +0100

jnoise (0.6.0-4) unstable; urgency=low

  * Set dh/compat 9
  * Bump Standards.
  * Removed DMUA.
  * Fix VCS canonical URLs.
  * Don't sign tags.
  * Fix upstream contact in man page.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 08 Aug 2013 15:45:24 +0200

jnoise (0.6.0-3) unstable; urgency=low

  * Team upload.
  * debian/control:
    - Homepage was moved to a new URL.
    - Bump Standards.
    - Remove myself from the Uploaders field.
  * debian/watch:
    - Update to scan new downloads location.
    - Remove example lines.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Apr 2011 13:23:03 +0200

jnoise (0.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add myself as uploader.
  * Relax build-deps on JACK to let this build on Debian sid.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Feb 2011 15:39:06 +0100

jnoise (0.6.0-1) experimental; urgency=low

  * Team upload.

  [ Jaromír Mikeš ]
  * Added DM-Upload-Allowed: yes

  [ Alessio Treglia ]
  * New upstream release.
  * Add gbp config file.
  * Switch to debian source 3.0 (quilt) format.
  * Switch to debhelper 7.
  * README is already installed as upstream's changelog, drop it from
    debian/docs.
  * debian/control:
    - Bump Standards.
    - Adopt single-space wrapping style.
    - Correct team's name.
    - Tune build-dependencies in order to build against the most recent
      JACK shlibs available in experimental, which provide the session
      support.
  * Refresh patches and add DEP-3 headers.

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Jan 2011 18:09:10 +0100

jnoise (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #519863)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 Oct 2009 01:08:10 +0200

=== debian/control ===
Source: jnoise
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 libjack-dev | libjack-jackd2-dev
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/multimedia-team/jnoise.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jnoise
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html

Package: jnoise
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: white and pink noise generator
 Jnoise is a small command line JACK app
 generating both white and pink noise.
 Both noise sources produce have a Gaussion
 amplitude distribution, and output a signal
 at -20dB RMS ref. a full scale sine wave.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LDLIBS += -Wl,--as-needed

%:
	dh $@ -Smakefile --sourcedirectory=source

override_dh_installchangelogs:
	dh_installchangelogs README
